Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xslt
Class XSLTInputSource

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.XSLTInputSource

Deprecated. This compatibility layer will be removed in later releases.

public class XSLTInputSource
extends java.lang.Object

Represents an XML source document or XSL stylesheet. Use XSLTInputSource objects to provide input to the XSLTProcessor process() method for a transformation. This class extends the SAX input source to handle DOM nodes as input as well as files, character streams, byte streams and SAX DocumentHandlers.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  `XSLTProcessor.process(XSLTInputSource, XSLTInputSource, XSLTResultTarget)`

Constructor Summary
`XSLTInputSource()` Deprecated. Zero-argument default constructor -- Before you can use the new XSLTInputSource object in a transformation, you must define the document source with setSystemId(), setNode(), setInputStream(), or setCharacterStream().
`XSLTInputSource(org.xml.sax.InputSource isource)` Deprecated. Create a new XSLTInputSource source from a SAX input source.
`XSLTInputSource(java.io.InputStream byteStream)` Deprecated. Create a new input source with a byte stream -- the equivalent of creating an input source with the zero-argument constructor and setting the new object's ByteStream property.
`XSLTInputSource(org.w3c.dom.Node node)` Deprecated. Create a new input source with a DOM Node -- the equivalent of creating an input source with the zero-argument constructor and setting the new object's Node property.
`XSLTInputSource(java.io.Reader characterStream)` Deprecated. Create a new input source with a character stream -- the equivalent of creating an input source with the zero-argument constructor and setting the new object's CharacterStream property.
`XSLTInputSource(java.lang.String systemId)` Deprecated. Create a new input source with a system identifier (for a URL or file name) -- the equivalent of creating an input source with the zero-argument constructor and setting the new object's SystemId property.

Method Summary
`java.io.Reader` | `getCharacterStream()` Deprecated. Get the character stream for this input source.
`java.lang.String` | `getEncoding()` Deprecated. Get the character encoding for a byte stream or URI.
`java.io.InputStream` | `getInputStream()` Deprecated. Get the byte stream that was set with setInputStream.
`org.w3c.dom.Node` | `getNode()` Deprecated. Get the DOM Node for this input source.
`javax.xml.transform.Source` | `getSourceObject()` Deprecated. Get the Result object associated with this XSLTResultTarget object .
`java.lang.String` | `getSystemId()` Deprecated. Get the base ID (URL or system ID) from where URLs will be resolved.
`void` | `setCharacterStream(java.io.Reader characterStream)` Deprecated. Set the character stream for this input source.
`void` | `setEncoding(java.lang.String encoding)` Deprecated. Set the character encoding, if known.
`void` | `setInputStream(java.io.InputStream inputStream)` Deprecated. Set the byte stream to be used as input.
`void` | `setNode(org.w3c.dom.Node node)` Deprecated. Set the DOM Node for this input source.
`void` | `setSystemId(java.lang.String baseID)` Deprecated. Set the base ID (URL or system ID) from where URLs will be resolved.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTInputSource

    public XSLTInputSource()

  Deprecated.
  Zero-argument default constructor -- Before you can use the new XSLTInputSource object in a transformation, you must define the document source with setSystemId(), setNode(), setInputStream(), or setCharacterStream().

  See Also:
    `setSystemId(String)`, `setNode(Node)`, `setInputStream(java.io.InputStream)`, `setCharacterStream(java.io.Reader)`, `setEncoding(String)`

### XSLTInputSource

    public XSLTInputSource(java.lang.String systemId)

  Deprecated.
  Create a new input source with a system identifier (for a URL or file name) -- the equivalent of creating an input source with the zero-argument constructor and setting the new object's SystemId property. If the system identifier is a URL, it must be fully resolved. If the system identifier is a URL, it must be fully resolved.

  Parameters:
    `systemId` - The system identifier (URI).
  See Also:
    `setSystemId(String)`, `setNode(Node)`, `setInputStream(java.io.InputStream)`, `setEncoding(String)`, `setCharacterStream(java.io.Reader)`

### XSLTInputSource

    public XSLTInputSource(java.io.InputStream byteStream)

  Deprecated.
  Create a new input source with a byte stream -- the equivalent of creating an input source with the zero-argument constructor and setting the new object's ByteStream property.

  Parameters:
    `byteStream` - The raw byte stream containing the document.
  See Also:
    `setInputStream(java.io.InputStream)`, `setSystemId(String)`, `setNode(Node)`, `setEncoding(String)`, `setCharacterStream(java.io.Reader)`

### XSLTInputSource

    public XSLTInputSource(java.io.Reader characterStream)

  Deprecated.
  Create a new input source with a character stream -- the equivalent of creating an input source with the zero-argument constructor and setting the new object's CharacterStream property.

  The character stream shall not include a byte order mark.

  Parameters:
    `characterStream` - The character stream containing the document.
  See Also:
    `setCharacterStream(java.io.Reader)`, `setInputStream(java.io.InputStream)`, `setSystemId(String)`, `setNode(Node)`, `setEncoding(String)`

### XSLTInputSource

    public XSLTInputSource(org.w3c.dom.Node node)

  Deprecated.
  Create a new input source with a DOM Node -- the equivalent of creating an input source with the zero-argument constructor and setting the new object's Node property.

  Parameters:
    `node` - The DOM Node containing the document.
  See Also:
    `setNode(Node)`, `setCharacterStream(java.io.Reader)`, `setInputStream(java.io.InputStream)`, `setSystemId(String)`, `setEncoding(String)`

### XSLTInputSource

    public XSLTInputSource(org.xml.sax.InputSource isource)

  Deprecated.
  Create a new XSLTInputSource source from a SAX input source. This operation sets the ByteStream, CharacterStream, SystemId, PublicID, and Encoding properties.

  Parameters:
    `isource` - The SAX input source.
  See Also:
    `setCharacterStream(java.io.Reader)`, `setInputStream(java.io.InputStream)`, `setSystemId(String)`, `setEncoding(String)`, `setNode(Node)`

Method Detail

### setNode

    public void setNode(org.w3c.dom.Node node)

  Deprecated.
  Set the DOM Node for this input source.

  Parameters:
    `node` - The DOM node containing the XML document or XSL stylesheet.
  See Also:
    `XSLTInputSource(Node)`, *, `Reader`

### getNode

    public org.w3c.dom.Node getNode()

  Deprecated.
  Get the DOM Node for this input source.

  Returns:
    The DOM node containing the document, or null if none was supplied.
  See Also:
    `XSLTInputSource(Node)`, `setNode(Node)`

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Deprecated.
  Set the character encoding, if known.

  The encoding must be a string acceptable for an XML encoding declaration (see section 4.3.3 of the XML 1.0 recommendation).

  This method has no effect when the application provides a character stream.

  Parameters:
    `encoding` - A string describing the character encoding.
  See Also:
    `setSystemId(java.lang.String)`, `getEncoding()`

### getEncoding

    public java.lang.String getEncoding()

  Deprecated.
  Get the character encoding for a byte stream or URI.

  Returns:
    The encoding, or null if none was supplied.
  See Also:
    `getSystemId()`

### setCharacterStream

    public void setCharacterStream(java.io.Reader characterStream)

  Deprecated.
  Set the character stream for this input source.

  If there is a character stream specified, the SAX parser will ignore any byte stream and will not attempt to open a URI connection to the system identifier.

  Parameters:
    `characterStream` - The character stream containing the XML document or other entity.
  See Also:
    `Reader`

### getCharacterStream

    public java.io.Reader getCharacterStream()

  Deprecated.
  Get the character stream for this input source.

  Returns:
    The character stream, or null if none was supplied.

### setSystemId

    public void setSystemId(java.lang.String baseID)

  Deprecated.
  Set the base ID (URL or system ID) from where URLs will be resolved.

  Parameters:
    `baseID` - Base URL for this.

### getSystemId

    public java.lang.String getSystemId()

  Deprecated.
  Get the base ID (URL or system ID) from where URLs will be resolved.

  Returns:
    Base URL for this.

### setInputStream

    public void setInputStream(java.io.InputStream inputStream)

  Deprecated.
  Set the byte stream to be used as input. Normally, a stream should be used rather than a reader, so that the XML parser can resolve character encoding specified by the XML declaration.

  If this Source object is used to process a stylesheet, normally setSystemId should also be called, so that relative URL references can be resolved.

  Parameters:
    `inputStream` - A valid InputStream reference to an XML stream.

### getInputStream

    public java.io.InputStream getInputStream()

  Deprecated.
  Get the byte stream that was set with setInputStream.

  Returns:
    The byte stream that was set with setInputStream, or null if setByteStream or the ByteStream constructor was not called.

### getSourceObject

    public javax.xml.transform.Source getSourceObject()

  Deprecated.
  Get the Result object associated with this XSLTResultTarget object .

  Returns:
    The Result object associated with this XSLTResultTarget object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference